Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.xml
Class NodeData

    java.lang.Object
      org.cybergarage.upnp.xml.NodeData

Direct Known Subclasses:
  ActionData, ArgumentData, DeviceData, ServiceData, StateVariable, StateVariableData

    public class NodeData

extends Object

Constructor Summary
`NodeData()`

Method Summary
`Node` | `getNode()`
`void` | `setNode(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeData

    public NodeData()

Method Detail

### setNode

    public void setNode(Node node)

### getNode

    public Node getNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD